---
wsId: RiseWallet
title: Well Wallet
altTitle: 
authors:
- danny
users: 1000
appId: com.risewallet.riseapp
appCountry: ca
released: 2019-03-08
updated: 2022-04-14
version: 1.7.0
stars: 4.8
ratings: 42
reviews: 14
size: 15M
website: https://wellwallet.ca/
repository: 
issue: 
icon: com.risewallet.riseapp.png
bugbounty: 
meta: ok
verdict: nosource
date: 2021-11-15
signer: 
reviewArchive: 
twitter: RiseWallet
social: 
redirect_from: 

---

## App Description

> Rise Wallet is a simple bitcoin wallet app, optimized for new users. Redeem our Bitcoin Gift Card instantly. Control your funds via the private key. Manage any number of wallets with a single key. Enjoy real time bitcoin price quotes and price history analysis. Use the built-in Bitcoin Marketplace to learn about the ecosystem. Bitcoin ATM locator helps you get quick cash for your coins when needed.

## Terms and Conditions

We read Rise's Terms and found this provision, under Section 4 stating that users cannot:

> **Reverse engineer any aspect of the App, or do anything that might discover source code** or bypass or circumvent measures employed to prevent or limit access to any content, area or code of the App.

## The App

Once you start the app users are given three options: redeem btc, open a new wallet and open existing wallet. Users are then given the private key.

The wallet supports sending and receiving BTC.

## Verdict

There's no information if the source code is available and no Github account either. We assume that the source code is simply not publicly available, thus making this app **not verifiable**.

